import { styled } from '@mui/material';
import { useTheme } from '@mui/material/styles';

interface TwitterIconProps {
  iconColor?: string;
  circleColor?: string;
}

export const TwitterIcon = styled((props: TwitterIconProps) => {
  const theme = useTheme();
  const {
    circleColor = '#FFFFFF',
    iconColor = theme.palette.secondary.main,
    ...other
  } = props;

  return (
    <svg
      width="24"
      height="24"
      fill="none"
      viewBox="0 0 24 24"
      xmlns="http://www.w3.org/2000/svg"
      {...other}
    >
      <path d="M12 24.0002C18.6274 24.0002 24 18.6276 24 12.0001C24 5.37263 18.6274 0 12 0C5.37258 0 0 5.37263 0 12.0001C0 18.6276 5.37258 24.0002 12 24.0002Z" fill={circleColor} />
      <path d="M19.3504 8.42772C18.8362 8.65055 18.283 8.80127 17.7029 8.86858C18.2952 8.52178 18.7498 7.97306 18.9643 7.31814C18.4101 7.63943 17.796 7.87251 17.1429 7.99814C16.6197 7.4536 15.8742 7.11328 15.0487 7.11328C13.4649 7.11328 12.1804 8.36856 12.1804 9.91628C12.1804 10.136 12.2058 10.3498 12.255 10.5551C9.87118 10.4383 7.75752 9.3224 6.34271 7.62605C6.09586 8.03995 5.95425 8.52178 5.95425 9.03539C5.95425 10.0076 6.461 10.8659 7.23023 11.3685C6.76027 11.354 6.31768 11.228 5.93115 11.0175C5.93093 11.0294 5.93093 11.0413 5.93093 11.053C5.93093 12.4112 6.92006 13.5439 8.23198 13.8013C7.99154 13.8656 7.73763 13.8997 7.47644 13.8997C7.29119 13.8997 7.11172 13.8824 6.93674 13.8498C7.30168 14.9631 8.36075 15.7735 9.6162 15.7963C8.63434 16.5482 7.39772 16.9962 6.0535 16.9962C5.82248 16.9962 5.59359 16.983 5.36963 16.9569C6.63834 17.7525 8.14641 18.2164 9.76615 18.2164C15.0421 18.2164 17.9273 13.9453 17.9273 10.2409C17.9273 10.1195 17.9245 9.99843 17.919 9.87844C18.4798 9.48336 18.966 8.98982 19.3504 8.42772Z" fill={iconColor} />
    </svg>
  );
})``;